{*****************************************************************************
 *
 *  GeoGlobal.pas - Global file
 *
 *  Copyright (c) 1999 Diego Amicabile
 *
 *  Author:     Diego Amicabile
 *  E-mail:     diegoami@yahoo.it
 *  Homepage:   http://www.geocities.com/diegoami
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

unit GeoGlobal;

interface
uses Sysutils,Dialogs,Himages,stdctrls,inifiles;
const NCITTA = 25;
type
  TRegion = (Padania,Etruria,Ausonia,Sicilia,Sardegna);
  EFileInvalid = class(Exception);

var
  RegionFile : array[TRegion] of String = (
    'Padania.bmp', 'Etruria.bmp', 'Ausonia.bmp','Sicilia.bmp',
    'Sardegna.bmp');
  User       : String;
  CurrentRegion : TRegion;
  TownToFind : String;
  Guessed : Boolean = false;
  IlFileIni : TIniFile;

function StringToRegion(regstring : String) : TRegion;

implementation

function StringToRegion(regstring : String) : TRegion;
begin
  if regString = 'Ausonia' then result := Ausonia;
  if regString = 'Padania' then result := Padania;
  if regString = 'Etruria' then result := Etruria;
  if regString = 'Sicilia' then result := Sicilia;
  if regString = 'Sardegna' then result := Sardegna;
end;

end.
